[SCM] UNNAMED PROJECT branch, debian-unstable, updated. 3ee9d5a018d873823da8cc9551a66bd401d167af

Julien Cristau jcristau at debian.org
Fri Mar 27 05:21:09 UTC 2009


The following commit has been merged in the debian-unstable branch:
commit 84b7d5bf7a57cab80ba3696ce95028c2f67ba76d
Author: Julien Cristau <jcristau at debian.org>
Date:   Sun Feb 1 01:31:31 2009 +0100

    xsfbs: add a repack script for uscan
    
    This will automatically prune upstream tarballs

diff --git a/debian/xsfbs/repack.sh b/debian/xsfbs/repack.sh
new file mode 100644
index 0000000..5935cc9
--- /dev/null
+++ b/debian/xsfbs/repack.sh
@@ -0,0 +1,32 @@
+#!/bin/sh
+
+set -e
+
+if ! [ -d debian/prune ]; then
+	exit 0
+fi
+
+if [ "x$1" != x--upstream-version ]; then
+	exit 1
+fi
+
+version="$2"
+filename="$3"
+
+if [ -z "$version" ] || ! [ -f "$filename" ]; then
+	exit 1
+fi
+
+dir="$(pwd)"
+tempdir="$(mktemp -d)"
+
+cd "$tempdir"
+tar xf "$dir/$filename"
+cat "$dir"/debian/prune/* | while read file; do rm -f */$file; done
+
+tar czf "$dir/$filename" *
+cd "$dir"
+rm -rf "$tempdir"
+echo "Done pruning upstream tarball"
+
+exit 0

-- 
UNNAMED PROJECT



More information about the debian-science-commits mailing list